* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  /*
background-image: url(./assets/bg-mobile.jpg);
background-repeat: no-repeat;
background-position: top center;
background-size: cover;

background color image repeat/size
RESUMIR EM COMANDO SÓ:
*/
  background: url(./assets/bg-mobile.png) no-repeat top center/cover;
}

body * {
  font-family: "inter", sans-serif;
  color: white;
}

#container {
  width: 360px;
  margin: 56px auto 0px;
  padding: 0 24px;
}
#profile {
  width: 120px;
  height: 120px;
  margin: 0 auto 28px;
  text-align: center;
}

#profile img {
  width: 112px;
  height: 112px;
  border-radius: 50%;
  overflow: hidden;
}

#profile p {
  font-weight: 500;
  line-height: 24px;
  margin-top: 0;
}

/* links */

ul {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

ul li a {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 16px 24px;
  background-color: rgba(255, 255, 255, 0.1);
  border: 1px solid rgba(255, 255, 255, 0.5);
  border-radius: 8px;
  backdrop-filter: blur(4px);
  -webkit-backdrop-filter: blur(4px);
  text-decoration: none;
  font-weight: bold;
  transition: background 0.2s;
  gap: 8px;
}

/* pseudo-seletor */

ul li a:hover {
  background-color: rgba(255, 255, 255, 0.05);
  border: 1.5px solid white;
}

/* social links*/

#social-links {
  display: flex;
  justify-content: center;
  gap: 16px;
  padding: 24px 0;
  font-size: 24px;
}

#social-links a {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 16px;
  border-radius: 50%;
  transition: background 0.2s;
}

#social-links a:hover {
  background: rgba(255, 255, 255, 0.2);
  padding: 16px;
}

footer { 
  padding: 24px 0;
  text-align: center;
}
